import request from '@/config/axios'

export interface MpkVO {
  id?: string
  pyName: string
  pkgName: string
  pyType: string
  className: string
  dataLength: number
  pyModule: string
  remark?: string
  modelMethods: object
  filePath: string,
  menuAndGroup: any
}

export const getPage = async (params: PageParam) => {
  return await request.get({ url: '/model/mpk/file/page', params })
}

export const getMpk = async (id: number) => {
  return await request.get({ url: '/model/mpk/file/' + id })
}

export const createMpk = async (data: MpkVO) => {
  return await request.post({ url: '/model/mpk/file', data: data })
}

export const updateMpk = async (params: MpkVO) => {
  return await request.put({ url: '/model/mpk/file', data: params })
}

export const deleteMpk = async (id: number) => {
  return await request.delete({ url: '/model/mpk/file?id=' + id })
}

export const generatorCode = (params) => {
  return request.download({ url: '/model/mpk/file/generat', params })
}

export const modelRun = (params) => {
  return request.post({ url: '/model/mpk/api/test', data: params, timeout: 20 * 60 * 1000 })
}

export const saveModel = (data) => {
  return request.downloadByPost({ url: '/model/mpk/api/saveModel', data, timeout: 5 * 60 * 1000 })
}

export const list = (params) => {
  return request.get({ url: '/model/mpk/file/list',  params})
}

export const aiList = (params) => {
  return request.get({ url: '/ai/question-template/modelList',  params})
}

export const publish = (params) => {
  return request.post({ url: '/model/mpk/file/publish', data: params})
}
